package watch_graph //nolint:staticcheck

import (
	corev1 "gitlab.com/gitlab-org/cluster-integration/gitlab-agent/v18/internal/module/kubernetes_api/agentk/watch_graph/vendored/k8s.io/api/core/v1"
)

func (vx *wgObject2vertex) collectEphemeralContainerV1Arcs(c *corev1.EphemeralContainer, arcType ArcType) {
	collectEach(c.EnvFrom, arcType, vx.collectEnvFromSourceV1Arcs)
	collectEach(c.Env, arcType, vx.collectEnvVarV1Arcs)
}
